## org.exist.xquery.value
Interface NodeValue

All Superinterfaces:
  Item, Sequence

All Known Implementing Classes:
  NodeImpl, NodeProxy

public interface NodeValue
extends Item, Sequence

Represents a node value. May either be an in-memory node or a persistent node.

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Field Summary
`static int` `IN_MEMORY_NODE` Node is a constructed in-memory node
`static int` `PERSISTENT_NODE` Node is a persistent, i.e.

Fields inherited from interface org.exist.xquery.value.Sequence
`EMPTY_SEQUENCE`

Method Summary
`void` `addContextNode(int contextId, NodeValue node)`
`boolean` `after(NodeValue other, boolean isFollowing)` Returns true if this node comes after another node in document order.
`boolean` `before(NodeValue other, boolean isPreceding)` Returns true if this node comes before another node in document order.
`boolean` `equals(NodeValue other)` Returns true if this node has the same identity as another node.
`int` `getImplementationType()` Returns the implementation-type of this node, i.e.
`org.w3c.dom.Node` `getNode()`
`org.w3c.dom.Document` `getOwnerDocument()`

Methods inherited from interface org.exist.xquery.value.Item
`atomize, conversionPreference, convertTo, copyTo, getStringValue, getType, toJavaObject, toSAX, toSequence`

Methods inherited from interface org.exist.xquery.value.Sequence
`add, addAll, clearContext, conversionPreference, convertTo, effectiveBooleanValue, getCardinality, getDocumentSet, getItemType, getLength, getStringValue, hasMany, hasOne, isCached, isEmpty, isPersistentSet, itemAt, iterate, removeDuplicates, setIsCached, setSelfAsContext, toJavaObject, toNodeSet, unorderedIterator`

Field Detail

### IN_MEMORY_NODE

    public static final int IN_MEMORY_NODE

  Node is a constructed in-memory node

  See Also:
    Constant Field Values

### PERSISTENT_NODE

    public static final int PERSISTENT_NODE

  Node is a persistent, i.e. stored in the database

  See Also:
    Constant Field Values

Method Detail

### equals

    public boolean equals(NodeValue other)
                   throws XPathException

  Returns true if this node has the same identity as another node. Used to implement "is" and "isnot" comparisons.

  Parameters:
    `other` -
  Throws:
    `XPathException`

### before

    public boolean before(NodeValue other,
                          boolean isPreceding)
                   throws XPathException

  Returns true if this node comes before another node in document order.

  Parameters:
    `other` -
  Throws:
    `XPathException`

### after

    public boolean after(NodeValue other,
                         boolean isFollowing)
                  throws XPathException

  Returns true if this node comes after another node in document order.

  Parameters:
    `other` -
  Throws:
    `XPathException`

### getImplementationType

    public int getImplementationType()

  Returns the implementation-type of this node, i.e. either `IN_MEMORY_NODE` or `PERSISTENT_NODE`.

### addContextNode

    public void addContextNode(int contextId,
                               NodeValue node)

### getNode

    public org.w3c.dom.Node getNode()

### getOwnerDocument

    public org.w3c.dom.Document getOwnerDocument()

Copyright (C) Wolfgang Meier. All rights reserved.